extern "C" 
{
	CIndexBuffer* IrrScene_CIndexBuffer_newFromIndexType(E_INDEX_TYPE IndexType)
	{
		return new CIndexBuffer(IndexType);
	}	

	CIndexBuffer* IrrScene_CIndexBuffer_newFromOther(const IIndexBuffer* IndexBufferCopy)
	{
		return new CIndexBuffer(*IndexBufferCopy);
	}
	
	bool IrrScene_CIndexBuffer_drop(CIndexBuffer* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrScene_CIndexBuffer_getDebugName(CIndexBuffer* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrScene_CIndexBuffer_grab(CIndexBuffer* unk)
	{
		if (unk)
			unk->grab();
	}		
}